\name{write.bazi}

\alias{write.bazi}
\alias{write.baziData}

\title{Adapter module for writing of .bazi-files}

\description{Writing of .bazi-files}

\usage{
write.bazi(file, seats, votes, appMethod, districtMethod = NULL,
           minConstr = NULL, minConstrSuper = NULL, maxConstr = NULL,
           directSeats = NULL, naiv = NULL, listCombinations = NULL,
           info = NULL, columnNames = c("Party", "Votes"),
           name = sub(".bazi", "", file), houseSize=NULL,
           districtMagnitudes=NULL)
write.baziData(file, baziData)}


\arguments{
	\item{file}{Filename of the .bazi-file}
	\item{seats}{Vector of different housesizes or district magnitudes; will be replaced in the future}
	\item{votes}{Matrix/vector of votes}
	\item{appMethod}{Rounding method(s) to use: one of
		\code{"DivDwn", "DivStd", "DivGeo", "DivHar", "DivUp", "DivSta", "DivPMean",
		"HaQgrR"} or \code{"DrQgrR"}. Note, that for biproportional methods
		only divisor methods are allowed.}
	\item{districtMethod}{District option for data with districts: either
		\code{"separate", "biprop"} or \code{"nzz"}.}
	\item{minConstr}{Matrix/vector of minimum requirements}
	\item{minConstrSuper}{Vector of minimum requirements for superapportionment for biprop apportionments}
	\item{maxConstr}{Matrix/vector of maximum restrictions}
	\item{directSeats}{Matrix/vector of direct seats for mixed member systems}
	\item{naiv}{Naive apportionment}
	\item{listCombinations}{Matrix/vector indicating belonging to a list combination, \code{0} indicates not member of a list combination}
	\item{info}{Some more information on the data}
	\item{columnNames}{Names for the data, e.g. \code{c("Party", "Votes")} or
		\code{c("State", "Population")}}
	\item{name}{Problem name}
	\item{houseSize}{Housesize, replacement of \code{seats} in the future}
	\item{districtMagnitudes}{District magnitudes, replacement of \code{seats} in the future}
	\item{baziData}{Bazidata as read by \code{read.bazi}}
}

\details{
Writes a file in .bazi-format, which can be read in by Bazi. Note, that
when reading a .bazi-file with RBazi, the info-part will be ignored.
}


\references{
	\url{http://www.uni-augsburg.de/bazi}
	
	Maier, S. and Pukelsheim, F. (2007) \emph{BAZI - A Free Program for Proportional
	Representation Apportionment}, Preprint No. 42, Institute for Mathematics, University 
	of Augsburg.
}	

\keyword{math}
